<?php

/*********---------testimonial--------------------------*/
add_action('admin_init', 'comdigex_testimonial_init');

function comdigex_testimonial_init()
{
    global $vc_add_css_animation;
    global $wd_fonts_array;
    vc_map(array(
        "name" => esc_html__("Testimonail", 'comdigex'), // add a name
        "base" => "webdevia_testimonials", // bind with our shortcode
        "icon" => get_template_directory_uri() . "/images/icon/meknes.png",
        "content_element" => true, // set this parameter when element will has a content
        "is_container" => FALSE, // set this param when you need to add a content element in this element
        // Here starts the definition of array with parameters of our compnent
        "category" => 'Webdevia',
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Items To Load", 'comdigex'),
                "param_name" => "testimonial_items_to_show",
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Items To Display", 'comdigex'),
                "param_name" => "testimonial_item_todisplay",
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Box Style", 'comdigex'),
                "param_name" => "testimonial_layout",
                'value' => array(
                    esc_html__('Carousel (Default)', 'comdigex') => 'None',
                    esc_html__('Classic', 'comdigex') => 'classic',
                ),
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Testimonial background Color", 'comdigex'),
                "param_name" => "testimonial_bg_color",
                "value" => "",
            ),
            array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__("Testimonial Text Color", 'comdigex'),
                "param_name" => "testimonial_text_color",
                "value" => "",
            ),
            $vc_add_css_animation
        )
    ));
}