<?php get_header(); ?>
    <section class="titlebar ">
        <div class="row">
            <div class="box">

                    <?php
                    if (comdigex_is_blog()) {
                        $comdigex_blog_id = get_option('page_for_posts');
                        if ($comdigex_blog_id == false) {
                            if (!is_archive()) {
                                echo ' <h1 id="page-title" class="title">'.esc_html__('Blog', 'comdigex').'</h1>';
                            } elseif (is_category()) {
                                echo esc_html__('Category Archives', 'comdigex');
                                echo ' <h1 id="page-title" class="title">'. "  " . strip_tags(category_description()).'</h1>';
                            } elseif (is_tag()) {
                                echo ' <h1 id="page-title" class="title">'.esc_html__('Tag Archives', 'comdigex').'</h1>';
                            } elseif (is_year()) {
                                echo ' <h1 id="page-title" class="title">'.esc_html__('Yearly Archives', 'comdigex').'</h1>';
                            } elseif (is_month()) {
                                echo ' <h1 id="page-title" class="title">'.esc_html__('Monthly Archives', 'comdigex').'</h1>';
                            } elseif (is_date()) {
                                echo ' <h1 id="page-title" class="title">'.esc_html__('Daily Archives', 'comdigex').'</h1>';
                            } elseif (is_author()) {
                                echo ' <h1 id="page-title" class="title">'.esc_html__('Author Archives', 'comdigex').'</h1>';
                            }
                        } else {
                            if(get_the_title($comdigex_blog_id) != '')
                            echo ' <h1 id="page-title" class="title">'.get_the_title($comdigex_blog_id).'</h1>';
                        }
                    } else {
                        if(get_the_title() != null)
                        echo ' <h1 id="page-title" class="title">'. the_title().'</h1>';
                    } ?>

            </div>
            <div class="breadcrumb_box">
                <?php comdigex_breadcrumb(); ?>
            </div>
        </div>
    </section>
    <!-- content  -->
    <main class="row">
        <div class="large-<?php if (is_active_sidebar('sidebar-1')) {
            echo "8";
        } else {
            echo "12";
        } ?> small-12 main columns">
            <div class="blog-posts">
                <?php if (have_posts()) {
                    while (have_posts()) : the_post();
                        get_template_part('content', get_post_format());
                    endwhile;
                }
                if (comments_open()) {
                    comments_template('', true);
                } ?>
                <div class="wd-post__pagination">
                    <?php echo paginate_links(); ?>
                </div>
            </div>

        </div>
        <?php get_sidebar(); ?>
    </main>
<?php get_footer();