<?php
function comdigex_percentage_circle($atts)
{
  extract(shortcode_atts(array(
    'comdigex_circle_size' => '576',
    'comdigex_circle_img' => '',
    'css_animation' => 'no'
  ),
    $atts));
  ob_start();
  if ($comdigex_circle_size) {
    ?>
    <style>
      <?php echo ":root { --wd-circle-size:   " .$comdigex_circle_size. "px; }" ?>
    </style>
  <?php }
  ?>
  <div class="percentage-circle flex-wrapper">
    <div class="single-chart">
      <svg viewBox="0 0 36 36" class="circular-chart orange">
        <path class="circle-bg"
              d="M18 2.0845
          a 15.9155 15.9155 0 0 1 0 31.831
          a 15.9155 15.9155 0 0 1 0 -31.831"
        />
        <path class="circle"
              stroke-dasharray="0, 100"
              d="M18 2.0845
          a 15 15 0 0 1 0 31.831
          a 15 15 0 0 1 0 -31.831"
        />
      </svg>
      <div class="single-chart-img">
        <?php
        $img_array = explode(',', $comdigex_circle_img);
        if ($img_array) {
          foreach ($img_array as $img_item) {
            $images = wp_get_attachment_image_src($img_item, 'full');
            echo "<img src='" . $images[0] . "' class='circle-img'>";
          }
        }
        ?>
      </div>
      <ul class='circle-container'>
      </ul>
    </div>
  </div>

  <?php return ob_get_clean();
}

add_shortcode('comdigex_percentage_circle', 'comdigex_percentage_circle');
