<?php
function webdevia_testimonials($atts)
{
  extract(shortcode_atts(array(
    'testimonial_items_to_show'  => '4',
    'testimonial_item_todisplay' => '4',
    'testimonial_bg_color'       => '',
    'testimonial_text_color'     => '',
    'testimonial_layout'         => 'None',
  ), $atts));

  ob_start(); ?>

  <div
    class="wp-testimonail <?php $testimonial_layout == "classic" ? print "classic_layout small-up-1 large-up-" . $testimonial_item_todisplay . "" : print "testimonail-slik" ?>"
    data-itemdisplay="<?php echo $testimonial_item_todisplay ?>">
    <?php global $wp_query;
    query_posts(array('post_type' => 'testimonials', 'posts_per_page' => $testimonial_items_to_show));

    while (have_posts()) : the_post(); ?>
      <div class="testimonail-item column column-block ">
        <div
          class="testimonail-content" <?php $testimonial_bg_color !== "" ? print "style='background: " . $testimonial_bg_color . "; '" : '' ?> >
          <ul class="testimony-slide-rating">
            <?php
            for ($i = 1; $i <= 5; $i++) { ?>
              <li data-value="<?php echo $i; ?>"
                  class="<?php echo ($i <= get_post_meta(get_the_ID(), 'rating', true)) ? "selected" : ""; ?>"><i
                  class="fa fa-star"></i></li>
            <?php } ?>
          </ul>
          <?php the_excerpt() ?>
          <div class="testimony-slide-info">
            <?php the_post_thumbnail('comdigex__testimonial') ?>
            <p class="testimony-slide-name"><?php the_title() ?></p>
            <p class="testimony-slide-position"><?php echo get_post_meta(get_the_ID(), 'job_title', true) ?></p>
          </div>
        </div>
      </div>
    <?php endwhile;
    wp_reset_query(); ?>
  </div>
  <?php return ob_get_clean();

}

add_shortcode('webdevia_testimonials', 'webdevia_testimonials');