<article <?php post_class("wd-post"); ?>>
    <div class="wd-post__thumbnail">
        <?php
        $comdigex_post_cloudsound = get_post_meta(get_the_ID(), 'comdigex_cloudsound', true);
        echo comdigex_get_embedded_media(array('audio', 'iframe')); ?>
    </div>

    <div class="wd-post__content">
        <div class="wd-post__category"><?php the_category(); ?></div>
        <h3 class="wd-post__title">
            <a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a>
        </h3>
        <ul class="wd-post__meta clearfix">
            <li><?php echo get_the_date(); ?></li>
            <li><?php echo esc_html__('By:', 'comdigex');
                the_author() ?></li>
            <li><?php comments_number('no comments', 'one comment', '% comments'); ?></li>
        </ul>
        <div class="wd-post__body">
            <p><?php echo wp_trim_words(get_the_content(), 60); ?></p>
        </div>
        <div class="wd-post__read-more">
            <a href="<?php esc_url(the_permalink()); ?>">
                <?php echo esc_html__('Read More', 'comdigex'); ?>
                <img src="<?php echo get_template_directory_uri() . "/images/more.svg" ?>"
                     alt="<?php echo esc_attr__('icon', 'comdigex') ?>">
            </a>
        </div>
    </div>
</article>

