<?php
$comdigex_style = get_post_meta($comdigex_thePageID, 'wd_page_title_area_style', true);
$comdigex_page_bg_img = get_post_meta($comdigex_thePageID, 'wd_page_title_area_bg_img', true);
$comdigex_page_bg_color = get_post_meta($comdigex_thePageID, 'wd_page_title_area_bg_color', true);
$title_position = get_post_meta($comdigex_thePageID, 'wd_page_title_position', true);
$text_color = get_post_meta($comdigex_thePageID, 'wd_page_title_color', true);
if ($comdigex_page_bg_img != "" && !is_404() && !is_search()) {

    $comdigex_custom_css .= "
      .titlebar { 
        background-image: url(" . esc_url(get_header_image()) . ");"
        . comdigex_check_if_empty('background-image', "$comdigex_page_bg_img")
        . comdigex_check_if_empty('background-color', $comdigex_page_bg_color)
        . "background-repeat: no-repeat;
      }
      .titlebar #page-title{ "
        . comdigex_check_if_empty('text-align', $title_position)
        . comdigex_check_if_empty('color', $text_color) . ";
        color: #" . get_header_textcolor() . ";
      }
      #page-title,.breadcrumbs a{ "
        . comdigex_check_if_empty('color', $text_color) . ";
      }
      ";

} else {
    $comdigex_title_bg_image = "";
    if (comdigex_get_option('title_page_bg') != "" && !is_404()) {
        $comdigex_title_bg_image = comdigex_get_option('title_page_bg');

    $comdigex_custom_css .= "
      .titlebar {
        background-image: url(" . $comdigex_title_bg_image . ");
       }";
    }
    $comdigex_404_bg_image = comdigex_get_option('wd_404_page');
    if ($comdigex_404_bg_image !== '' && $comdigex_404_bg_image != null && !is_page() && !is_single() && !is_front_page()) {
        $comdigex_custom_css .= "
      .titlebar { 
        background-image: url(" . $comdigex_404_bg_image . ");"
            . comdigex_check_if_empty('background-image', "$comdigex_title_bg_image")
            . comdigex_check_if_empty('text-align', get_post_meta($comdigex_thePageID, 'wd_page_title_position', true)) . ";
      }
    
      #page-title,.breadcrumbs a{ "
            . comdigex_check_if_empty('color', get_post_meta($comdigex_thePageID, 'wd_page_title_color', true)) . ";
      }
      ";
    }
    if ($comdigex_404_bg_image != '') {
        $comdigex_custom_css .= "
			.corp-titlebar{
				background:url($comdigex_404_bg_image)  no-repeat center top;
				background-size: cover;
		 }
		 ";
    }
}