<?php
if (is_rtl()) {
    $comdigex_custom_css .= "body, p, #lang_sel_list {
            font-family : 'Droid Arabic Kufi', serif;
          } ";

    $comdigex_custom_css .= "h1, h2, h3, h4, h5, h6 {
              font-family : 'Droid Arabic Naskh', serif;
            } ";
} else {
    $comdigex_custom_css .= "body, body p {
		  " . comdigex_check_if_empty('font-family', html_entity_decode(comdigex_get_option('body_font_family', WD_BODY_FONT_FAMILY_FALLBACK), ENT_QUOTES)) . "
		  " . comdigex_check_if_empty('font-size', comdigex_get_option('body_font_size')) . "
		  " . comdigex_check_if_empty('font-style', comdigex_get_option('body_font_style')) . "
		  " . comdigex_check_if_empty('font-weight', comdigex_get_option('body_font_weight')) . "
		  " . comdigex_check_if_empty('letter-spacing', comdigex_get_option('body_letter_spacing')) . "
		  color: var(--text-color);
    }";

    $comdigex_custom_css .= "
    h1, h2, h3, h4, h5, h6, .menu-list a {
    	" . comdigex_check_if_empty("font-family", comdigex_get_option('head_font_family', WD_HEAD_FONT_FAMILY_FALLBACK)) . ";
    	" . comdigex_check_if_empty("font-style", comdigex_get_option('head_font_style')) . ";
    	" . comdigex_check_if_empty("font-weight", comdigex_get_option('head_font_weight')) . ";
	    " . comdigex_check_if_empty("letter-spacing", comdigex_get_option('head_letter_spacing')) . ";
    }";

    $comdigex_custom_css .= "header.l-header .top-bar-container.sticky .site-navigation.top-bar .top-bar-right .menu li a {
			" . comdigex_check_if_empty("font-family", comdigex_get_option('nav_font_family', WD_NAV_FONT_FAMILY_FALLBACK)) . ";
    	" . comdigex_check_if_empty("font-size", comdigex_get_option('nav_font_size')) . ";
			" . comdigex_check_if_empty("font-style", comdigex_get_option('nav_font_style')) . ";
			" . comdigex_check_if_empty("font-weight", comdigex_get_option('nav_font_weight')) . ";
			" . comdigex_check_if_empty("letter-spacing", comdigex_get_option('nav_letter_spacing')) . ";

		}";
}