<?php
return array(
    array(
        "label" => esc_html__("Primary Color", 'comdigex'),
        "id" => "primary_color",
        "type" => "color",
        "defaultValue" => WD_PRIMARY_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_PRIMARY_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Secondary Color", 'comdigex'),
        "id" => "secondary_color",
        "type" => "color",
        "defaultValue" => WD_SECONDARY_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_SECONDARY_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Accent Color", 'comdigex'),
        "id" => "accent_color",
        "type" => "color",
        "defaultValue" => WD_ACCENT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_ACCENT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Text Color", 'comdigex'),
        "id" => "text_color",
        "type" => "color",
        "defaultValue" => WD_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Secondary Text Color", 'comdigex'),
        "id" => "secondary_text_color",
        "type" => "color",
        "defaultValue" => WD_SECONDARY_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_SECONDARY_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Header Text Color", 'comdigex'),
        "id" => "header_color",
        "type" => "color",
        "defaultValue" => WD_HEADER_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HEADER_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Body Background Color", 'comdigex'),
        "id" => "body_bg_color",
        "type" => "color",
        "defaultValue" => WD_BODY_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_BODY_BG_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Header background", 'comdigex'),
        "id" => "header_bg_color",
        "type" => "color",
        "defaultValue" => WD_HEADER_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HEADER_BG_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Navigation Text Color", 'comdigex'),
        "id" => "nav_text_color",
        "type" => "color",
        "defaultValue" => WD_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_NAV_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Navigation (sticky) background color", 'comdigex'),
        "id" => "sticky_nav_bg_color",
        "type" => "color",
        "defaultValue" => WD_STICKY_NAV_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_STICKY_NAV_BG_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Navigation (sticky) text color", 'comdigex'),
        "id" => "sticky_nav_text_color",
        "type" => "color",
        "defaultValue" => WD_STICKY_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_STICKY_NAV_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Navigation (Hover sticky) text color", 'comdigex'),
        "id" => "hover_sticky_nav_text_color",
        "type" => "color",
        "defaultValue" => WD_HOVER_STICKY_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HOVER_STICKY_NAV_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Navigation (Hover) text color", 'comdigex'),
        "id" => "hover_nav_text_color",
        "type" => "color",
        "defaultValue" => WD_HOVER_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HOVER_NAV_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Footer background color", 'comdigex'),
        "id" => "footer_bg_color",
        "type" => "color",
        "defaultValue" => WD_FOOTER_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_FOOTER_BG_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Footer text color", 'comdigex'),
        "id" => "footer_text_color",
        "type" => "color",
        "defaultValue" => WD_FOOTER_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_FOOTER_TEXT_COLOR, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Copyright background color", 'comdigex'),
        "id" => "copyright_bg",
        "type" => "color",
        "defaultValue" => WD_COPYRIGHT_BG,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_COPYRIGHT_BG, 'comdigex'),
    ),
    array(
        "label" => esc_html__("Copyright bar text color", 'comdigex'),
        "id" => "copyright_text_color",
        "type" => "color",
        "defaultValue" => WD_COPYRIGHT_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_COPYRIGHT_TEXT_COLOR, 'comdigex'),
    ),
);