<?php
return array(
    array(
        "label" => esc_html__("Footer columns", 'comdigex'),
        "id" => "footer_column",
        "type" => "grid",
        "defaultValue" => array(
            'one_columns' => __('1 Column', 'comdigex'),
            'tow_a_columns' => __('2 columns (1/2 + 1/2)', 'comdigex'),
            'tow_b_columns' => __('2 columns (1/3 + 2/3)', 'comdigex'),
            'tow_c_columns' => __('2 columns (2/3 + 1/3)', 'comdigex'),
            'three_columns' => __('3 columns', 'comdigex'),
            'four_columns' => __('4 columns', 'comdigex'),
        ),
        "parentSection" => "Footer settings",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("Footer background image", 'comdigex'),
        "id" => "footer_bg",
        "type" => "imgupload",
        "defaultValue" => "",
        "parentSection" => "Footer settings",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("Footer Copyright text", 'comdigex'),
        "id" => "copyright_text",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "Footer settings",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("Powered by text", 'comdigex'),
        "id" => "powered_text",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "Footer settings",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("social media", 'comdigex'),
        "id" => "",
        "type" => "socialmedia",
        "defaultValue" => "",
        "parentSection" => "Footer settings",
        "group" => "Footer settings",
        "description" => "",
    ),
);