<?php
/**
 * Register theme support for languages, menus, post-thumbnails, post-formats etc.
 *
 */

if (!function_exists('comdigex_wbp_templates')) {
    function comdigex_wbp_templates()
    {
        ob_start();
        include get_template_directory() . '/inc/templates.txt';
        $filer = ob_get_clean();
        if (file_exists($filer)) {
            $options = 'wpb_js_templates';
            $option = get_option($options, '');
            if ((!is_array($option) && $option == '') || (is_array($option) && count($option) == 0)) {
                $json_decoded = json_decode($filer, true);
                update_option($options, $json_decoded);
            }
        }
    }

    add_action('after_setup_theme', 'comdigex_wbp_templates');
}