<?php get_header() ?>
    <section class="titlebar">
        <div class="row">
            <div>
                <?php if (get_the_title() != null) { ?>
                    <h1 id="page-title" class="title"><?php the_title(); ?></h1>
                <?php } ?>
            </div>
            <?php comdigex_breadcrumb(); ?>
        </div>
    </section>
    <main class="row">
        <div class="large-<?php if (is_active_sidebar('sidebar-1')) {
            echo "8";
        } else {
            echo "12";
        } ?> small-12 large-centered columns ">
            <?php if (have_posts()) : ?>
                <?php while (have_posts()) : the_post(); ?>
                    <div class="blog-posts ">

                        <div class="wd-post__thumbnail wd-post__thumbnail--single">
                            <?php the_post_thumbnail('comdigex_blog-thumb'); ?>
                        </div>
                        <div class="wd-post__content wd-post__content--single">

                            <div class="wd-post__body wd-post__body--single clearfix">
                                <?php the_content(); ?>
                            </div>


                            <div class="related-post clearfix">
                                <?php
                                $comdigex_postID = get_the_ID();
                                comdigex_related_posts($comdigex_postID); ?>
                            </div>
                            <?php if (comments_open() || get_comments_number()) {
                                comments_template('', true);
                            } ?>

                            <ul class="wd-post__meta wd-post__meta--single clearfix">
                                <li><?php echo get_the_date(); ?></li>
                                <li><?php echo esc_html__('By: ', 'comdigex');
                                    the_author() ?></li>
                                <li><?php echo esc_html__('Category: ', 'comdigex');
                                    the_category(', '); ?></li>
                                <?php if (has_tag()) { ?>
                                    <li><?php echo esc_html__('Tags: ', 'comdigex');
                                        the_tags('', ', '); ?></li>
                                <?php } ?>
                                <li><?php comments_number('no comments', 'one comment', '% comments'); ?></li>
                            </ul>
                        </div>
                    </div>
                <?php endwhile;
            endif; ?>
            <?php wp_link_pages(array('before' => '<div class="wd-post__pagination">', 'after' => '</div>')); ?>

        </div>
        <?php
        get_sidebar(); ?>
    </main>
<?php get_footer(); ?>