<?php
function comdigex_button( $atts ) {
	extract( shortcode_atts( array(
		'comdigex_btn_text'                  => 'Read More',
		'comdigex_btn_link'                  => '',
		'comdigex_btn_style'                 => 'btn-solid',
		'comdigexbtn_bg_color'               => 'btn-color-1',
		'comdigex_btn_hover_bg_color'        => 'hover-color-1',
		'custom_color'                       => '',
		'comdigex_btn_custom_text_color'     => '',
		'comdigex_btn_custom_bg_color'       => '',
		'comdigex_btncustom_hover_color'     => '',
		'comdigex_btn_custom_hover_bg_color' => '',
		'comdigexbtn_btn_size'               => 'btn-medium',
		'comdigexbtn_btn_border'             => 'btn-round',
		'comdigexbtn_btn_align'              => 'text-left',
		'comdigex_btn_icon'                  => '',
		'comdigex_btn_icon_position'         => 'after',
		'comdigex_show_icon'                 => '',
		'comdigex_btn_icon_style'            => '',
		'css_animation'                      => 'no'
	),
		$atts ) );
	ob_start();

	$btn_classes = $comdigex_btn_style . " " . $comdigexbtn_bg_color . " " . $comdigex_btn_hover_bg_color . " " . $comdigexbtn_btn_size . " " . $comdigexbtn_btn_border . " " . $comdigex_btn_icon_style . " icon-" . $comdigex_btn_icon_position;

	$animation_classes = "";
	$data_animated     = "";

	if ( ( $css_animation != 'no' ) ) {
		$animation_classes = " animated ";
		$data_animated     = "data-animated=$css_animation";
	}

	?>

  <div
    class="wd-btn-wrap <?php echo esc_attr( $comdigexbtn_btn_align ) . ' ' . esc_attr( $animation_classes ); ?>" <?php echo esc_attr( $data_animated ); ?>>
    <a href="<?php echo esc_url( $comdigex_btn_link ) ?>" class="wd-btn <?php echo esc_attr( $btn_classes ) ?>"
			<?php if ( $custom_color == 'yes' ) {
				?>
        style="<?php
				echo comdigex_check_if_empty( 'color', $comdigex_btn_custom_text_color );
				echo comdigex_check_if_empty( 'background-color', $comdigex_btn_custom_bg_color ); ?>"
        onMouseOver="this.style.color='<?php echo $comdigex_btncustom_hover_color ?>', this.style.backgroundColor='<?php echo $comdigex_btn_custom_hover_bg_color ?>'"
        onMouseOut="this.style.color='<?php echo $comdigex_btn_custom_text_color ?>', this.style.backgroundColor='<?php echo $comdigex_btn_custom_bg_color ?>'"
				<?php
			} ?>
    >
			<?php if ( $comdigex_show_icon == 'yes' ) { ?>
        <span class="button-wrp">
					<?php if ( $comdigex_btn_icon_position == 'before' ) { ?>
            <i class="<?php echo esc_html( $comdigex_btn_icon ); ?> before"></i>
					<?php } ?>
          <span><?php echo esc_attr( $comdigex_btn_text ); ?></span>
					<?php if ( $comdigex_btn_icon_position == 'after' ) { ?>
            <i class="<?php echo esc_html( $comdigex_btn_icon ); ?> after"></i>
					<?php } ?>
				</span>
			<?php } else {
				echo esc_attr( $comdigex_btn_text );
			} ?>
    </a>
  </div>

	<?php return ob_get_clean();
}

add_shortcode( 'comdigex_button', 'comdigex_button' );